package com.pj.api.dto;

import java.util.Date;

/**
 * Model: tb_message -- 通知消息
 *
 * @author lsw
 */
public class MessageDto {

    /**
     * 消息类型
     */
    private Integer types;

    /**
     * 跳转页面路径
     */
    private String url;

    /**
     * 消息内容
     */
    private String contents;

    /**
     * 关联用户
     */
    private Long userId;

    /**
     * 状态(0=禁用,1=启用)
     */
    private Integer enable;

    /**
     * 是否已读(0=未读,1=已读)
     */
    private Integer isRead;

    /**
     * 创建时间
     */
    private Date createTime;


    public Integer getTypes() {
        return types;
    }

    public void setTypes(Integer types) {
        this.types = types;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getContents() {
        return contents;
    }

    public void setContents(String contents) {
        this.contents = contents;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public Integer getIsRead() {
        return isRead;
    }

    public void setIsRead(Integer isRead) {
        this.isRead = isRead;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
